package flowsim.core;

public final class EventQueueElement
{
	EventQueueElement prev, next;
	long time;
	Event event;

	public void remove() {
		set_event(null);
	}
	
	public void set_event(Event e) {
		event = e;
	}

	EventQueueElement(long t, Event e) {
		time = t;
		event = e;
	}

	public boolean equals(Object obj) {
		return this==obj;
	}
}

