package flowsim.core;

public interface FlowMonitor
{
	void flow_started(Flow f);
	void flow_stopped(Flow f);
	void flow_blocked(Flow f);
	void flow_changed_bw(Flow f, int was_bw);
	void flow_changed_desired_bw(Flow f, int was_bw);
	void flow_changed_available_bw(Flow f, int was_bw);
}
