package flowsim.core;

/**
 * High-level message, normally transported by a Packet.
 * @see Packet
 */
public interface Message
{
	int size();     // returns the size of the message (packet) in bytes

	void arrived(Node to);	// action to be performed when the message
				// arrives at it's destination
}
