package flowsim.core;

public class TestSched
{
	static class TestEvent implements Event
	{
		final Simulator s;
		public void trigger() {
			System.out.println("Hello world, the time is " + s.now());
		}	
		TestEvent(Simulator s) { this.s = s; }
	}

	public static void main(String[] args)
	{
		Simulator s = new Simulator();

		
		System.out.println("s.schedule(10, new TestEvent(s));");
		s.schedule(10, new TestEvent(s));

		System.out.println("s.schedule(100, new TestEvent(s));");
		s.schedule(100, new TestEvent(s));
		System.out.println("s.schedule(17, new TestEvent(s));");
		s.schedule(17, new TestEvent(s));
		System.out.println("s.schedule(18, new TestEvent(s));");
		s.schedule(18, new TestEvent(s));
		System.out.println("s.schedule(200, new TestEvent(s));");
		s.schedule(200, new TestEvent(s));

		System.out.println("s.run(198);");
		s.run(198);
	}
}
