package flowsim.slatr;

final class AutoNumbering
{
	final class Number {
		Number next;
		int n;
		Number(final int n, final Number next) { this.n = n; this.next=next; }
	}

	int max;
	int given;
	Number free_numbers;

	public int get() {
		given++;

		if(free_numbers == null) {
			return ++max;
		}
		else {
			Number x = free_numbers;
			free_numbers = x.next;
			return x.n;
		}
	}

	public int size() {
		return given;
	}

	public void release(final int n) {
		Number x = new Number(n,free_numbers);
		free_numbers = x;

		given--;
	}

	AutoNumbering(final int start) {
		max = start-1;
		given=0;
		free_numbers=null;
	}
}
