package flowsim.util;

/**
 * Simulation of a random variable.
 */
public interface Distribution
{
	/**
	 * Get average of this distribution.
	 */
	double average();

	/**
	 * Get variance of this distribution.
	 */
	double variance();

	/**
	 * Get next random number.
	 */
	double rand();
}

