package flowsim.util;

public final class IntegerBuffer
{
	int val;

	public void set(int val) {
		this.val = val;
	}

	public int get() {
		return val;
	}

	public void inc() {
		val++;
	}

	public void dec() {
		val--;
	}

	public IntegerBuffer(int val) {
		set(val);
	}

	public IntegerBuffer() {
		set(0);
	}
}
