package flowsim.core;

public interface DataTransfer
{
	long get_start_time();

	int get_from_port();
	int get_to_port();

	int get_total_bits();
	int get_remaining_bits();
	int get_bw();
	Flow get_flow();

	void start();
	void abort();

	void attach_monitor(DataTransferMonitor dtm);
}
