package flowsim.util;

import com.sun.java.util.collections.Iterator;
import com.sun.java.util.collections.NoSuchElementException;
import com.sun.java.util.collections.UnsupportedOperationException;

public abstract class SearchIterator implements Iterator {
	final Iterator it;
	Object n;
	boolean hasnext=true;
	boolean start=true;

	abstract public boolean match(Object obj);

	public final boolean hasNext() {
		if(start) {
			get_n();
			start=false;
		}
		return hasnext;
	}

	final void get_n() {
		try {
			while(true) {
				Object o = it.next();
				if(match(o)) {
					//System.err.println("match!");
					n=o;
					return;
				}
			}
		}
		catch(NoSuchElementException e) {}

		hasnext=false;
	}

	public final Object next() {
		if(start) {
			get_n();
			start=false;
		}

		if(!hasnext) {
			throw new NoSuchElementException();
		}

		Object o = n;
		get_n();
		return o;
	}

	public final void remove() throws UnsupportedOperationException {
		throw new UnsupportedOperationException();
	}

	public SearchIterator(Iterator it) {
		this.it = it;
	}
}
