package flowsim.util;

final public class StringFormatter
{
	public static String left_justified(String str, int len, boolean trunc_left)
	{
		StringBuffer sbuf;

		sbuf = new StringBuffer(len);
		int difflen = len-str.length();
		if(difflen<0 && trunc_left) {
			sbuf.append(str.substring(-difflen));
		}
		else {
			sbuf.append(str);
			for(int i=0; i<difflen; i++) {
				sbuf.append(' ');
			}
		}

		return sbuf.toString();
	}

	public static String right_justified(String str, int len, boolean trunc_left)
	{
		StringBuffer sbuf;

		sbuf = new StringBuffer(len);
		int difflen = len-str.length();
		if(difflen<0 && trunc_left) {
			sbuf.append(str.substring(-difflen));
		}
		else {
			for(int i=0; i<difflen; i++) {
				sbuf.append(' ');
			}
			sbuf.append(str);
			sbuf.setLength(len);
		}

		return sbuf.toString();
	}
}
