set term post
set out "total_bw_utility.ps"
set xlabel "time"
set ylabel "total used bandwidth"
set y2label "utility"
set y2tics 0,20,80
set y2range [-80:80]
set grid
set data style linespoints
plot [][:3e7] "total_bw.log" with steps, "max_utility" axes x1y2, "utility" axes x1y2
